Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.deploy.api.shared
Class WebLogicTargetType

    java.lang.Object
      weblogic.deploy.api.shared.WebLogicTargetType

Direct Known Subclasses:
  WebLogicTarget

public class WebLogicTargetType
extends Object

This class enumerates the different types of deployment targets supported in WebLogic Server. This class is modeled after `javax.enterprise.deploy.shared.ModuleType`.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static WebLogicTargetType` | `CLUSTER` The target is a WebLogic Server cluster.
`static WebLogicTargetType` | `JMSSERVER` The target is a JMS Server.
`static WebLogicTargetType` | `SAFAGENT` The target is a SAF agent.
`static WebLogicTargetType` | `SERVER` The target is a single WebLogic Server instance.
`static WebLogicTargetType` | `VIRTUALHOST` The target is a virtual host.

Method Summary
`int` | `getValue()` Returns the enumeration value for this WebLogicTargetType object.
`static WebLogicTargetType` | `getWebLogicTargetType(int i)` Returns the WebLogicTargetType object having the specified ordinal value.
`String` | `toString()` Returns the display name for this WebLogicTargetType object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CLUSTER

    public static final WebLogicTargetType CLUSTER

  The target is a WebLogic Server cluster.

### JMSSERVER

    public static final WebLogicTargetType JMSSERVER

  The target is a JMS Server.

### SAFAGENT

    public static final WebLogicTargetType SAFAGENT

  The target is a SAF agent.

### SERVER

    public static final WebLogicTargetType SERVER

  The target is a single WebLogic Server instance.

### VIRTUALHOST

    public static final WebLogicTargetType VIRTUALHOST

  The target is a virtual host.

Method Detail

### getValue

    public int getValue()

  Returns the enumeration value for this WebLogicTargetType object.

### getWebLogicTargetType

    public static WebLogicTargetType getWebLogicTargetType(int i)

  Returns the WebLogicTargetType object having the specified ordinal value.

### toString

    public String toString()

  Returns the display name for this WebLogicTargetType object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD